CREATE INDEX customer_upper_lastname
       ON customers(UPPER(cust_last_name))
/

SET AUTOTRACE ON EXPLAIN

SELECT cust_first_name, cust_last_name, credit_limit
  FROM customers
 WHERE LOWER(cust_last_name) = 'bogart'
/

-- The Optimizer will not be able to use your index
-- for the above query.  It will be able to for this one:

SELECT cust_first_name, cust_last_name, credit_limit
  FROM customers
 WHERE UPPER(cust_last_name) = 'BOGART'
/

SET AUTOTRACE OFF EXPLAIN
