CREATE BITMAP INDEX customer_gender_bmix
       ON customers (gender)
/

SET AUTOTRACE ON EXPLAIN

SELECT count(*)
  FROM customers
 WHERE gender = 'F'
/

SET AUTOTRACE OFF EXPLAIN

-- The MARITAL_STATUS column has a cardinality of 2, making it a
-- candidate for a bitmap index.  However, if there is high DML
-- contention in this table, we would weigh carefully whether or
-- not to create a potential UPDATE bottleneck with another bitmap
-- index on this table.  INCOME_LEVEL also has relatively low
-- cardinality, and in a data warehouse situation, might benefit
-- from a bitmap index.
