CREATE TABLE emp_regions (
  employee_id NUMBER(6),
  first_name  VARCHAR2(20),
  last_name   VARCHAR2(25),
  region_name VARCHAR2(25)
)
PARTITION BY LIST(region_name) (
  PARTITION europe VALUES ('Europe'),
  PARTITION americas VALUES ('Americas'),
  PARTITION asia VALUES ('Asia'),
  PARTITION middle_east VALUES ('Middle East and Africa')
)
/

INSERT INTO emp_regions (employee_id, first_name,
                         last_name, region_name)
  SELECT e.employee_id, e.first_name,
         e.last_name, r.region_name
    FROM hr.employees e,
         hr.departments d,
         hr.locations l,
         hr.countries c,
         hr.regions r
   WHERE e.department_id = d.department_id
     AND d.location_id = l.location_id
     AND l.country_id = c.country_id
     AND c.region_id = r.region_id
/

